Subject: Re: bug#35731: Installer: EBUSY while mounting /mnt/boot/efi

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 May 2019 18:48:09 +0200

Ludovic Courtès <[email-masked]> skribis:

> Sometimes, the installer crashes with the attached backtrace: EBUSY
> while mounting /mnt/boot/efi.  Strangely, if I go to a console at that
> point and run ‘mount’, I see that /mnt/boot/efi is already mounted.

More specifically, this happens every time I start from a fresh target
disk image—i.e., just run ‘qemu-img create …’ before spawning the
installer VM.

So I’m guessing the ‘partition’ step returns /boot/efi twice in that
case.

Ludo’.